org.apache.ignite.internal.pagemem.wal.record

## Class DataEntry

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.DataEntry

Direct Known Subclasses:
  LazyDataEntry, MvccDataEntry, RecordDataV1Serializer.EncryptedDataEntry, UnwrapDataEntry

    public class DataEntry
    extends Object

Represents Data Entry (`key`, `value`) pair update `operation` in WAL log.

### Field Summary

Fields
`protected int` `cacheId` Cache ID.
`protected long` `expireTime` Expire time.
`protected KeyCacheObject` `key` Cache object key.
`protected GridCacheVersion` `nearXidVer` Near transaction version.
`protected GridCacheOperation` `op` Entry operation performed.
`protected long` `partCnt`
`protected int` `partId` Partition ID.
`protected CacheObject` `val` Cache object value.
`protected GridCacheVersion` `writeVer` Write version.

### Constructor Summary

Constructors
Constructor and Description
`DataEntry(int cacheId, KeyCacheObject key, CacheObject val, GridCacheOperation op, GridCacheVersion nearXidVer, GridCacheVersion writeVer, long expireTime, int partId, long partCnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheId()`
`long` `expireTime()`
`KeyCacheObject` `key()`
`GridCacheVersion` `nearXidVersion()`
`GridCacheOperation` `op()`
`long` `partitionCounter()`
`DataEntry` `partitionCounter(long partCnt)` Sets partition update counter to entry.
`int` `partitionId()`
`String` `toString()`
`CacheObject` `value()`
`GridCacheVersion` `writeVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cacheId

    @GridToStringInclude
    protected int cacheId

Cache ID.

#### key

    protected KeyCacheObject key

Cache object key.

#### val

    @Nullable
    protected CacheObject val

Cache object value. May be null for `GridCacheOperation.DELETE`

#### op

    @GridToStringInclude
    protected GridCacheOperation op

Entry operation performed.

#### nearXidVer

    protected GridCacheVersion nearXidVer

Near transaction version.

#### writeVer

    @GridToStringInclude
    protected GridCacheVersion writeVer

Write version.

#### expireTime

    protected long expireTime

Expire time.

#### partId

    @GridToStringInclude
    protected int partId

Partition ID.

#### partCnt

    @GridToStringInclude
    protected long partCnt

### Constructor Detail

#### DataEntry

    public DataEntry(int cacheId,
                     KeyCacheObject key,
                     @Nullable
                     CacheObject val,
                     GridCacheOperation op,
                     GridCacheVersion nearXidVer,
                     GridCacheVersion writeVer,
                     long expireTime,
                     int partId,
                     long partCnt)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.
  `val` - Value or null for delete operation.
  `op` - Operation.
  `nearXidVer` - Near transaction version.
  `writeVer` - Write version.
  `expireTime` - Expire time.
  `partId` - Partition ID.
  `partCnt` - Partition counter.

### Method Detail

#### cacheId

    public int cacheId()

Returns:
  Cache ID.

#### key

    public KeyCacheObject key()

Returns:
  Key cache object.

#### value

    public CacheObject value()

Returns:
  Value cache object.

#### op

    public GridCacheOperation op()

Returns:
  Cache operation.

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near transaction version if the write was transactional.

#### writeVersion

    public GridCacheVersion writeVersion()

Returns:
  Write version.

#### partitionId

    public int partitionId()

Returns:
  Partition ID.

#### partitionCounter

    public long partitionCounter()

Returns:
  Partition counter.

#### partitionCounter

    public DataEntry partitionCounter(long partCnt)

Sets partition update counter to entry.

Parameters:
  `partCnt` - Partition update counter.
Returns:
  `this` for chaining.

#### expireTime

    public long expireTime()

Returns:
  Expire time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018